Interface ApiClientExchange

    • Method Detail

      • setTarget

        void setTarget​(String method,
                       String pathInfo)
      • getRequestMethod

        String getRequestMethod()
      • getPathInfo

        String getPathInfo()
      • setPathInfo

        void setPathInfo​(String pathInfo)
      • getRequestURL

        URL getRequestURL()
      • setRequestParameter

        void setRequestParameter​(String name,
                                 Object value)
        Sets the specified HTTP request parameter to be included in URL query (for GET requests) or application/x-www-form-urlencoded body (for other request methods).
        Parameters:
        name - Name of the HTTP request parameter to set
        value - If null or Optional.empty, parameter will be unset; if Optional, value will be extracted
      • getApiURL

        String getApiURL()
        Returns the path to where the controllers paths are evaluated relative to, that is, the Servlet's context URL. For example, if an ApiServlet is bound as "/api/*" in a webapp mounted at "/app", getApiURL might return https://example.com:7443/app/api.
      • addRequestCookie

        void addRequestCookie​(String name,
                              Object value)
        Sets the specified HTTP cookie value. The cookie value will be URL encoded before sent in the Cookie-header
        Parameters:
        name - Name of the HTTP cookie to set
        value - If null or Optional.empty, cookie will be unset; if Optional, value will be extracted
      • setClientCertificate

        void setClientCertificate​(X509Certificate[] certificate)